Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class CloneHelper

    java.lang.Object
      com.beasys.commerce.util.CloneHelper

Deprecated

    @Deprecated
    public class CloneHelper

extends Object

Helper for cloning. Allows cloning of the Object class, when you don't know the class of the target object

Constructor Summary
`CloneHelper()` Deprecated

Method Summary
`static Belonging` | `clone(Belonging that)` Deprecated Return a clone of a belonging
`static Collection` | `clone(Collection collection)` Deprecated return a deep copy of a collection
`static Map` | `clone(Map map)` Deprecated return a deep copy of a map
`static Object` | `clone(Object that)` Deprecated Clones an object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloneHelper

    public CloneHelper()

  Deprecated

Method Detail

### clone

    public static Object clone(Object that)

  Deprecated
  Clones an object

  Parameters
    `that` - source object to be cloned
  Throws
    `CloneNotSupportedException` - the target object does not support cloning
    `Error` - unrecoverable error during reflection

### clone

    public static Belonging clone(Belonging that)

  Deprecated
  Return a clone of a belonging

### clone

    public static Collection clone(Collection collection)

  Deprecated
  return a deep copy of a collection

### clone

    public static Map clone(Map map)

  Deprecated
  return a deep copy of a map

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.